<?php
/************************************************************
* LUCiD LEO Translation V2.0 for Joomla 3.x / 4.x
* @license GNU GPL (http://www.gnu.org/licenses/gpl.txt)
* @package LUCiD LEO Translation
* @author LUCiD iMAGiNATiON 
* @home https://www.therealsystemerror.de

CHANGELOG:
V2.0 (01.04.2019)
	- changed update server
	- adjusted language constants
	- ready for and tested with Joomla! 4.0.0 alpha8

V1.9 (12.05.2017)
	- ability to use forced hhtps added
	- some css is now in extern default.css file

V1.8 (12.02.2017)
	- Layout fix
	- Update server added

V1.7  (09-08-2013)
	- Two new languages added - portuguese and polish.
	- same codebase for J!2.5 and J!3.x
	
V1.6.1 (08.08.2013)
	- Joomla 3.x Bugfix. Missing directory separator added

V1.6 (07.04.2013)
	- ported to joomla 3.0
	- now separate newline parameter for the text box and the submit button

V1.5 (12.02.2012)
    - tested on Joomla 1.6.x / 1.7.x / 2.5.x
	- missing mudule class suffix added
	
V1.4 (30.06.2011)
	- ported to joomla 1.6
	- module width now can be given in percent and pixel
************************************************************/

/** ensure this file is being included by a parent file **/
defined('_JEXEC') or die('Direct Access to this location is not allowed!');
if(!defined('DS')) {
	define('DS',DIRECTORY_SEPARATOR);
}
require_once( dirname(__FILE__).DS.'helper.php' );
$leoParams = modLEOtransHelper::getLEOtrans($params);
$leoRadioList = modLEOtransHelper::getRadioList($leoParams);
$show = $leoParams['show'];
$xml_path = dirname(__FILE__).DS.'mod_lucid_leo_trans.xml';
$xml_obj = new SimpleXMLElement(file_get_contents($xml_path));
$version = strval($xml_obj->version);
if($leoParams['button']=="")
{
	$leoParams['button'] = modLEOtransHelper::getButtonText();
}
require( JModuleHelper::getLayoutPath( 'mod_lucid_leo_trans' ));
?>