<?php
/************************************************************
* LUCiD LEO Translation V2.0 for Joomla 3.x / 4.x
* @license GNU GPL (http://www.gnu.org/licenses/gpl.txt)
* @package LUCiD LEO Translation
* @author LUCiD iMAGiNATiON 
* @home https://www.therealsystemerror.de

CHANGELOG:
V2.0 (01.04.2019)
	- changed update server
	- adjusted language constants
	- ready for and tested with Joomla! 4.0.0 alpha8

V1.9 (12.05.2017)
	- ability to use forced hhtps added
	- some css is now in extern default.css file

V1.8 (16.07.2017)
	- Layout fix
	- Update server added

V1.7 (09-08-2013)
	- Two new languages added - portuguese and polish.
	- same codebase for J!2.5 and J!3.x
	
V1.6.1 (08.08.2013)
	- Joomla 3.x Bugfix. Missing directory separator added

V1.6 (07.04.2013)
	- ported to joomla 3.0
	- now separate newline parameter for the text box and the submit button

V1.5 (12.02.2012)
    - tested on Joomla 1.6.x / 1.7.x / 2.5.x
	- missing mudule class suffix added
	
V1.4 (30.06.2011)
	- ported to joomla 1.6
	- module width now can be given in percent and pixel
************************************************************/

/** ensure this file is being included by a parent file **/

defined('_JEXEC') or die('Direct Access to this location is not allowed!'); 

$document = JFactory::getDocument();
$document->addStyleSheet($leoParams['url'].'tmpl/default.css');?>

<?php if($leoParams['link']==0){?>
<!-- Module: LUCiD LEO Translation -->
<!-- Author: LUCiD iMAGiNATiON www.therealsystemerror.de -->
<!-- Version: <?php echo $version; ?> -->
<?php }?>
<div class="lucidLeoTrans<?php echo $leoParams['sfx'];?>">
    <div style="width:<?php echo $leoParams['modulewidth']; ?>; margin-left:<?php echo $leoParams['moduleleftmargin']; ?>px; margin-right:<?php echo $leoParams['modulerightmargin']; ?>px;">
        <form name="dict" action="//dict.leo.org/" method="get" target="<?php echo $leoParams['target']; ?>">
            <div class="leoForm" style="width:<?php echo $leoParams['flagswidth']; ?>; margin-left:<?php echo $leoParams['leftmargin']; ?>px; margin-right:<?php echo $leoParams['rightmargin']; ?>px;">
                <input type="hidden" name="searchLoc" value="0" />
                <input type="hidden" name="cmpType" value="relaxed" />
                <input type="hidden" name="relink" value="on" />
                <input type="hidden" name="sectHdr" value="on" />
                <input type="hidden" name="spellToler" value="std" />
                <?php echo $leoRadioList; ?>
            </div>
            <div class="leoForm" style="text-align:<?php echo $leoParams['align_text']; ?>">
                <?php 
                if($leoParams['break_text']==1)
                {
                    echo '<br style="clear:both" />';
                ?>
                	<input type="text" name="search" value="" size="<?php echo $leoParams['width']; ?>" maxlength="100" class="inputbox" />
                <?php 
				}
				else
				{ ?>
					&nbsp;&nbsp;<input type="text" name="search" value="" size="<?php echo $leoParams['width']; ?>" maxlength="100" class="inputbox" />
                <?php
				}
                if($leoParams['break_button']==1)
                {
                    echo '<br style="clear:both" />';
                } ?>
                <input type="submit" value="<?php echo $leoParams['button']; ?>" class="button" />
            </div>
            <?php if($leoParams['link']==0){?>
            <div style="font-size:9px; text-align:<?php echo $leoParams['align_text']; ?>;"><a style="font-size:9px;" href="https://www.therealsystemerror.de" target="_blank" title="LUCiD iMAGiNATiON">LUCiD LEO Translation</a>
            </div>
            <?php }?>
        </form>
	</div>
</div> 